/**
 * @file
 * Drupal behavior to push smart content winner details to the dataLayer.
 */

(function (Drupal) {
  window.addEventListener('smart_content_decision', function (event) {
    // Format data to push into the data layer.
    let winnerDetails = event.detail.settings.dataLayer[event.detail.winner];
    let data = {
      label: winnerDetails.label,
      default: event.detail.default,
      reactions: winnerDetails.reactions,
    };

    // Push or append data to the dataLayer.
    let index = window.dataLayer.findIndex(function (object) {
      return object.hasOwnProperty('smart_content');
    });
    if (index > -1) {
      window.dataLayer.push([
        'smart_content.push',
        JSON.stringify(data),
      ]);
    }
    else {
      window.dataLayer.push({
        'smart_content': [
          JSON.stringify(data),
        ],
      });
    }

  });

})(Drupal);
